package paketSprit;

public class Sprit
{
	private double kmStandAlt;
	private double kmStandNeu;
	private double gefahrenekm;
	private double getankteLiter;
	private double literPreis;
	private double gesamtPreis;
	private double verbrauchJe100km;
	private double kostenJe100km;
	private String bewertung;


	public void setKmStandAlt(double pKMStandAlt)
	{
		kmStandAlt = pKMStandAlt;
	}


	public void setKmStandNeu(double pKMStandNeu)
	{
		kmStandNeu = pKMStandNeu;
	}

	
	public void setGetankteLiter(double pGetankteLiter)
	{
		getankteLiter = pGetankteLiter;
	}

	public void setGesamtPreis(double pGesamtPreis)
	{
		gesamtPreis = pGesamtPreis;
	}

	public double getGefahreneKM()
	{
		return gefahrenekm;
	}

	
	public double getVerbrauchJe100km()
	{
		return verbrauchJe100km;
	}

	
	public double getKostenJe100km()
	{
		return kostenJe100km;
	}

	
	public String getBewertung()
	{
		return bewertung;
	}

	public void berechne()
	{
		gefahrenekm = kmStandNeu - kmStandAlt;
		verbrauchJe100km = getankteLiter / (gefahrenekm / 100);
		verbrauchJe100km = Math.round(verbrauchJe100km * 100);
		verbrauchJe100km = verbrauchJe100km / 100;
		literPreis = gesamtPreis / getankteLiter;
		kostenJe100km = verbrauchJe100km * literPreis;
		bewertung();
	}

	public void bewertung()
	{
		if (verbrauchJe100km > 10)
		{
			bewertung = "Bleifußfahrer";
		} else
		{

			if (verbrauchJe100km > 8)
			{
				bewertung = "es geht noch sparsamer";
			} else
			{

				if (verbrauchJe100km > 6)
				{
					bewertung = "Fahrstil ok";
				} else
				{
					bewertung = "super sparsam";
				}
			}
		}

	}
	
}
